igeo.io

## Class IRhino3dm

- java.lang.Object
- - igeo.io.IRhino3dm

- Direct Known Subclasses:
    IRhino3dmExporter, IRhino3dmImporter

      public class IRhino3dm
      extends java.lang.Object

  Rhinoceros 3dm importer/exporter class. This class defines OpenNURBS objects to be used in importer and exporter.
  Author:
    Satoru Sugihara

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IRhino3dm.AngularDimension`
    `static class` | `IRhino3dm.AngularDimension2`
    `static class` | `IRhino3dm.AngularDimension2Extra`
    `static class` | `IRhino3dm.Annotation`
    `static class` | `IRhino3dm.Annotation2`
    `static class` | `IRhino3dm.Annotation2Text`
    `static class` | `IRhino3dm.AnnotationArrow`
    `static class` | `IRhino3dm.AnnotationTextDot`
    `static class` | `IRhino3dm.AnnotationType`
    `static class` | `IRhino3dm.Arc`
    `static class` | `IRhino3dm.ArcCurve`
    `static class` | `IRhino3dm.Bitmap`
    `static class` | `IRhino3dm.BoundingBox`
    `static class` | `IRhino3dm.Brep`
    `static class` | `IRhino3dm.BrepEdge`
    `static class` | `IRhino3dm.BrepEdgeArray`
    `static class` | `IRhino3dm.BrepFace`
    `static class` | `IRhino3dm.BrepFaceArray`
    `static class` | `IRhino3dm.BrepFaceSide`
    `static class` | `IRhino3dm.BrepLoop`
    `static class` | `IRhino3dm.BrepLoopArray`
    `static class` | `IRhino3dm.BrepRegion`
    `static class` | `IRhino3dm.BrepRegionTopologyUserData`
    `static class` | `IRhino3dm.BrepTrim`
    `static class` | `IRhino3dm.BrepTrimArray`
    `static class` | `IRhino3dm.BrepTrimPoint`
    `static class` | `IRhino3dm.BrepVertex`
    `static class` | `IRhino3dm.BrepVertexArray`
    `static class` | `IRhino3dm.Chunk` Rhino 3dm chunk objects.
    `static class` | `IRhino3dm.ChunkTable`
    `static class` | `IRhino3dm.Circle`
    `static class` | `IRhino3dm.ClassRegistry`
    `static class` | `IRhino3dm.ClippingPlaneSurface`
    `static class` | `IRhino3dm.Curve`
    `static class` | `IRhino3dm.CurveArray`
    `static class` | `IRhino3dm.CurveOnSurface`
    `static class` | `IRhino3dm.CurveProxy`
    `static class` | `IRhino3dm.DetailView`
    `static class` | `IRhino3dm.DimensionExtra`
    `static class` | `IRhino3dm.DimStyle`
    `static class` | `IRhino3dm.DimStyleExtra`
    `static class` | `IRhino3dm.DisplayMaterialRef`
    `static class` | `IRhino3dm.EmbeddedBitmap`
    `static class` | `IRhino3dm.Endian`
    `static class` | `IRhino3dm.Extrusion`
    `static class` | `IRhino3dm.Font`
    `static class` | `IRhino3dm.Geometry`
    `static class` | `IRhino3dm.Group`
    `static class` | `IRhino3dm.Hatch`
    `static class` | `IRhino3dm.HatchExtra`
    `static class` | `IRhino3dm.HatchPattern`
    `static class` | `IRhino3dm.HistoryRecord`
    `static class` | `IRhino3dm.InstanceDefinition`
    `static class` | `IRhino3dm.InstanceRef`
    `static class` | `IRhino3dm.Interval`
    `static class` | `IRhino3dm.Layer`
    `static class` | `IRhino3dm.LayerExtensions`
    `static class` | `IRhino3dm.Leader`
    `static class` | `IRhino3dm.Leader2`
    `static class` | `IRhino3dm.Light`
    `static class` | `IRhino3dm.Line`
    `static class` | `IRhino3dm.LinearDimension`
    `static class` | `IRhino3dm.LinearDimension2`
    `static class` | `IRhino3dm.LineCurve`
    `static class` | `IRhino3dm.Linetype`
    `static class` | `IRhino3dm.MappingChannel`
    `static class` | `IRhino3dm.MappingTag`
    `static class` | `IRhino3dm.Material`
    `static class` | `IRhino3dm.MaterialRef`
    `static class` | `IRhino3dm.Mesh`
    `static class` | `IRhino3dm.MeshCurvatureStats`
    `static class` | `IRhino3dm.MeshEdgeRef`
    `static class` | `IRhino3dm.MeshFace`
    `static class` | `IRhino3dm.MeshFaceRef`
    `static class` | `IRhino3dm.MeshNgonUserData`
    `static class` | `IRhino3dm.MeshParameters`
    `static class` | `IRhino3dm.MeshVertexRef`
    `static class` | `IRhino3dm.MorphControl`
    `static class` | `IRhino3dm.NurbsCage`
    `static class` | `IRhino3dm.NurbsCurve`
    `static class` | `IRhino3dm.NurbsSurface`
    `static class` | `IRhino3dm.ObjectAttributes`
    `static class` | `IRhino3dm.OffsetSurface`
    `static class` | `IRhino3dm.OrdinateDimension2`
    `static class` | `IRhino3dm.Plane`
    `static class` | `IRhino3dm.PlaneEquation`
    `static class` | `IRhino3dm.PlaneSurface`
    `static class` | `IRhino3dm.Point`
    `static class` | `IRhino3dm.Point2Array`
    `static class` | `IRhino3dm.PointArray`
    `static class` | `IRhino3dm.PointCloud`
    `static class` | `IRhino3dm.PointGrid`
    `static class` | `IRhino3dm.PolyCurve`
    `static class` | `IRhino3dm.PolyEdgeCurve`
    `static class` | `IRhino3dm.PolyEdgeSegment`
    `static class` | `IRhino3dm.Polyline`
    `static class` | `IRhino3dm.PolylineCurve`
    `static class` | `IRhino3dm.Properties`
    `static class` | `IRhino3dm.RadialDimension`
    `static class` | `IRhino3dm.RadialDimension2`
    `static class` | `IRhino3dm.Rect`
    `static class` | `IRhino3dm.RenderingAttributes`
    `static class` | `IRhino3dm.RevSurface`
    `static class` | `IRhino3dm.Rhino3dmFile`
    `static class` | `IRhino3dm.RhinoObject`
    `static class` | `IRhino3dm.Settings`
    `static class` | `IRhino3dm.StartSection`
    `static class` | `IRhino3dm.SumSurface`
    `static class` | `IRhino3dm.Surface`
    `static class` | `IRhino3dm.SurfaceArray`
    `static class` | `IRhino3dm.SurfaceCurvature`
    `static class` | `IRhino3dm.SurfaceProxy`
    `static class` | `IRhino3dm.TextDisplayMode`
    `static class` | `IRhino3dm.TextDot`
    `static class` | `IRhino3dm.TextEntity`
    `static class` | `IRhino3dm.TextEntity2`
    `static class` | `IRhino3dm.TextExtra`
    `static class` | `IRhino3dm.Texture`
    `static class` | `IRhino3dm.TextureCoordinates`
    `static class` | `IRhino3dm.TextureMapping`
    `static class` | `IRhino3dm.UnitsAndTolerances`
    `static class` | `IRhino3dm.UnitSystem`
    `static class` | `IRhino3dm.UnknownUserData`
    `static class` | `IRhino3dm.UserData`
    `static class` | `IRhino3dm.UserString`
    `static class` | `IRhino3dm.UserStringList`
    `static class` | `IRhino3dm.UUID`
    `static class` | `IRhino3dm.UUIDIndex`
    `static class` | `IRhino3dm.Viewport`
    `static class` | `IRhino3dm.WindowsBitmap`
    `static class` | `IRhino3dm.WindowsBitmapEx`
    `static class` | `IRhino3dm.Xform`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `activeSpaceModelSpace`
    `static short` | `activeSpaceNoSpace`
    `static short` | `activeSpacePageSpace`
    `static int` | `colorSourceFromLayer`
    `static int` | `colorSourceFromMaterial`
    `static int` | `colorSourceFromObject`
    `static int` | `colorSourceFromParent`
    `static int` | `linetypeSourceFromLayer`
    `static int` | `linetypeSourceFromObject`
    `static int` | `linetypeSourceFromParent`
    `static int` | `materialSourceFromLayer`
    `static int` | `materialSourceFromObject`
    `static int` | `materialSourceFromParent`
    `static short` | `objectDecorationBothArrowHead`
    `static short` | `objectDecorationEndArrowHead`
    `static short` | `objectDecorationNoDecolation`
    `static short` | `objectDecorationStartArrowHead`
    `static int` | `objectModeCount`
    `static int` | `objectModeHiddenObject`
    `static int` | `objectModeIdefObject`
    `static int` | `objectModeLockedObject`
    `static int` | `objectModeNormalObject`
    `static int` | `plotColorSourceFromLayer`
    `static int` | `plotColorSourceFromMaterial`
    `static int` | `plotColorSourceFromObject`
    `static int` | `plotColorSourceFromParent`
    `static int` | `plotWeightSourceFromLayer`
    `static int` | `plotWeightSourceFromObject`
    `static int` | `plotWeightSourceFromParent`
    `static int` | `tcodeAnalysisMesh`
    `static int` | `tcodeAngularDimension`
    `static int` | `tcodeAnnotation`
    `static int` | `tcodeAnnotationLeader`
    `static int` | `tcodeAnnotationSettings`
    `static int` | `tcodeAnonymousChunk`
    `static int` | `tcodeBitmapPreview`
    `static int` | `tcodeBitmapRecord`
    `static int` | `tcodeBitmapTable`
    `static int` | `tcodeBumpMap`
    `static int` | `tcodeCommentBlock`
    `static int` | `tcodeCompressedMeshGeometry`
    `static int` | `tcodeCPlane`
    `static int` | `tcodeCRC`
    `static int` | `tcodeCurrentLayer`
    `static int` | `tcodeDictionary`
    `static int` | `tcodeDictionaryEnd`
    `static int` | `tcodeDictionaryEntry`
    `static int` | `tcodeDictionaryID`
    `static int` | `tcodeDimStyleRecord`
    `static int` | `tcodeDimStyleTable`
    `static int` | `tcodeDispAmResolution`
    `static int` | `tcodeDispCPLines`
    `static int` | `tcodeDisplay`
    `static int` | `tcodeDispMaxLength`
    `static int` | `tcodeEndOfFile`
    `static int` | `tcodeEndOfFileGoo`
    `static int` | `tcodeEndOfTable`
    `static int` | `tcodeFontRecord`
    `static int` | `tcodeFontTable`
    `static int` | `tcodeGeometry`
    `static int` | `tcodeGroupRecord`
    `static int` | `tcodeGroupTable`
    `static int` | `tcodeHatchPatternRecord`
    `static int` | `tcodeHatchPatternTable`
    `static int` | `tcodeHideTrace`
    `static int` | `tcodeHistoryRecordRecord`
    `static int` | `tcodeHistoryRecordTable`
    `static int` | `tcodeInstanceDefinitionRecord`
    `static int` | `tcodeInstanceDefinitionTable`
    `static int` | `tcodeInterface`
    `static int` | `tcodeLayer`
    `static int` | `tcodeLayerIndex`
    `static int` | `tcodeLayerLocked`
    `static int` | `tcodeLayerMaterialIndex`
    `static int` | `tcodeLayerName`
    `static int` | `tcodeLayerObselete1`
    `static int` | `tcodeLayerObselete2`
    `static int` | `tcodeLayerObselete3`
    `static int` | `tcodeLayerOn`
    `static int` | `tcodeLayerPickable`
    `static int` | `tcodeLayerRecord`
    `static int` | `tcodeLayerRef`
    `static int` | `tcodeLayerRenderable`
    `static int` | `tcodeLayerSnapable`
    `static int` | `tcodeLayerState`
    `static int` | `tcodeLayerTable`
    `static int` | `tcodeLayerThawed`
    `static int` | `tcodeLayerVisible`
    `static int` | `tcodeLegacyASM`
    `static int` | `tcodeLegacyASMStuff`
    `static int` | `tcodeLegacyBND`
    `static int` | `tcodeLegacyBNDStuff`
    `static int` | `tcodeLegacyCRV`
    `static int` | `tcodeLegacyCRVStuff`
    `static int` | `tcodeLegacyFAC`
    `static int` | `tcodeLegacyFACStuff`
    `static int` | `tcodeLegacyGeometry`
    `static int` | `tcodeLegacyPNT`
    `static int` | `tcodeLegacyPNTStuff`
    `static int` | `tcodeLegacyPRT`
    `static int` | `tcodeLegacyPRTStuff`
    `static int` | `tcodeLegacySHL`
    `static int` | `tcodeLegacySHLStuff`
    `static int` | `tcodeLegacySPL`
    `static int` | `tcodeLegacySPLStuff`
    `static int` | `tcodeLegacySRF`
    `static int` | `tcodeLegacySRFStuff`
    `static int` | `tcodeLegacyTolAngle`
    `static int` | `tcodeLegacyTolFit`
    `static int` | `tcodeLegacyTRM`
    `static int` | `tcodeLegacyTRMStuff`
    `static int` | `tcodeLightRecord`
    `static int` | `tcodeLightRecordAttributes`
    `static int` | `tcodeLightRecordAttributesUserData`
    `static int` | `tcodeLightRecordEnd`
    `static int` | `tcodeLightTable`
    `static int` | `tcodeLinearDimension`
    `static int` | `tcodeLineTypeRecord`
    `static int` | `tcodeLinetypeTable`
    `static int` | `tcodeMaterialRecord`
    `static int` | `tcodeMaterialTable`
    `static int` | `tcodeMaximizedViewport`
    `static int` | `tcodeMeshObject`
    `static int` | `tcodeName`
    `static int` | `tcodeNamedCPlane`
    `static int` | `tcodeNamedView`
    `static int` | `tcodeNearClipPlane`
    `static int` | `tcodeNotes`
    `static int` | `tcodeObjectRecord`
    `static int` | `tcodeObjectRecordAttributes`
    `static int` | `tcodeObjectRecordAttributesUserData`
    `static int` | `tcodeObjectRecordEnd`
    `static int` | `tcodeObjectRecordHistory`
    `static int` | `tcodeObjectRecordHistoryData`
    `static int` | `tcodeObjectRecordHistoryHeader`
    `static int` | `tcodeObjectRecordType`
    `static int` | `tcodeObjectTable`
    `static int` | `tcodeObsoleteLayerSetRecord`
    `static int` | `tcodeObsoleteLayerSetTable`
    `static int` | `tcodeOldFullMesh`
    `static int` | `tcodeOldMeshUV`
    `static int` | `tcodeOldMeshVertexNormals`
    `static int` | `tcodeOldRhTrimesh`
    `static int` | `tcodeOpenNurbsClass`
    `static int` | `tcodeOpenNurbsClassData`
    `static int` | `tcodeOpenNurbsClassEnd`
    `static int` | `tcodeOpenNurbsClassUserData`
    `static int` | `tcodeOpenNurbsClassUserDataHeader`
    `static int` | `tcodeOpenNurbsClassUUID`
    `static int` | `tcodeOpenNurbsObject`
    `static int` | `tcodePropertiesApplication`
    `static int` | `tcodePropertiesCompressedPreviewImage`
    `static int` | `tcodePropertiesNotes`
    `static int` | `tcodePropertiesOpenNurbsVersion`
    `static int` | `tcodePropertiesPreviewImage`
    `static int` | `tcodePropertiesRevisionHistory`
    `static int` | `tcodePropertiesTable`
    `static int` | `tcodeRadialDimension`
    `static int` | `tcodeRender`
    `static int` | `tcodeRenderMaterialID`
    `static int` | `tcodeRenderMeshParams`
    `static int` | `tcodeRGB`
    `static int` | `tcodeRGBDisplay`
    `static int` | `tcodeRhinoIOObjectBrep`
    `static int` | `tcodeRhinoIOObjectData`
    `static int` | `tcodeRhinoIOObjectEnd`
    `static int` | `tcodeRhinoIOObjectNurbsCurve`
    `static int` | `tcodeRhinoIOObjectNurbsSurface`
    `static int` | `tcodeRhPoint`
    `static int` | `tcodeRhSpotLight`
    `static int` | `tcodeSettings_Never_Use_This`
    `static int` | `tcodeSettingsAnalysisMesh`
    `static int` | `tcodeSettingsAnnotation`
    `static int` | `tcodeSettingsAttributes`
    `static int` | `tcodeSettingsCurrentColor`
    `static int` | `tcodeSettingsCurrentDimStyleIndex`
    `static int` | `tcodeSettingsCurrentFontIndex`
    `static int` | `tcodeSettingsCurrentLayerIndex`
    `static int` | `tcodeSettingsCurrentMaterialIndex`
    `static int` | `tcodeSettingsCurrentWireDensity`
    `static int` | `tcodeSettingsGridDefaults`
    `static int` | `tcodeSettingsModelURL`
    `static int` | `tcodeSettingsNamedCPlaneList`
    `static int` | `tcodeSettingsNamedViewList`
    `static int` | `tcodeSettingsPluginList`
    `static int` | `tcodeSettingsRender`
    `static int` | `tcodeSettingsRenderMesh`
    `static int` | `tcodeSettingsTable`
    `static int` | `tcodeSettingsUnitsAndTols`
    `static int` | `tcodeSettingsViewList`
    `static int` | `tcodeShort`
    `static int` | `tcodeShowGrid`
    `static int` | `tcodeShowGridAxes`
    `static int` | `tcodeShowWorldAxes`
    `static int` | `tcodeSnapSide`
    `static int` | `tcodeStartSection`
    `static int` | `tcodeStuff`
    `static int` | `tcodeSummary`
    `static int` | `tcodeTable`
    `static int` | `tcodeTableRec`
    `static int` | `tcodeTextBlock`
    `static int` | `tcodeTextureMap`
    `static int` | `tcodeTextureMappingRecord`
    `static int` | `tcodeTextureMappingTable`
    `static int` | `tcodeTolerance`
    `static int` | `tcodeTransparency`
    `static int` | `tcodeUnitAndTolerances`
    `static int` | `tcodeUser`
    `static int` | `tcodeUserRecord`
    `static int` | `tcodeUserTable`
    `static int` | `tcodeUserTableRecordHeader`
    `static int` | `tcodeUserTableUUID`
    `static int` | `tcodeView`
    `static int` | `tcodeViewAttributes`
    `static int` | `tcodeViewCPlane`
    `static int` | `tcodeViewDisplayMode`
    `static int` | `tcodeViewName`
    `static int` | `tcodeViewport`
    `static int` | `tcodeViewportDisplayMode`
    `static int` | `tcodeViewportPosition`
    `static int` | `tcodeViewportTraceInfo`
    `static int` | `tcodeViewportWallPaper`
    `static int` | `tcodeViewPosition`
    `static int` | `tcodeViewRecord`
    `static int` | `tcodeViewShowConAxes`
    `static int` | `tcodeViewShowConGrid`
    `static int` | `tcodeViewShowWorldAxes`
    `static int` | `tcodeViewTarget`
    `static int` | `tcodeViewTraceImage`
    `static int` | `tcodeViewViewport`
    `static int` | `tcodeViewViewportUserData`
    `static int` | `tcodeViewWallPaper`
    `static int` | `tcodeViewWallPaperV3`
    `static int` | `tcodeXData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IRhino3dm()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IRhino3dm.AnnotationType` | `annotationType(int i)`
    `static int` | `annotationType(IRhino3dm.AnnotationType t)`
    `static java.lang.String` | `asciiOrHex(byte[] c)`
    `(package private) static int` | `btoi(byte[] b)` static methods
    `static IRhino3dm.Endian` | `endian()`
    `static IRhino3dm.Endian` | `endian(int i)`
    `static java.lang.String` | `hex(byte c)`
    `static java.lang.String` | `hex(byte[] c)`
    `static java.lang.String` | `hex(char c)`
    `static java.lang.String` | `hex(char[] c)`
    `static java.lang.String` | `hex(int i)`
    `static java.lang.String` | `hex(short i)`
    `static byte` | `hexCharToByte(char c)`
    `static byte` | `hexCharToByte(char c1, char c2)`
    `static byte[]` | `hexStringToByte(java.lang.String text)`
    `static byte[]` | `itob(int i)`
    `static byte[]` | `ltob(long l)`
    `static void` | `printAsciiOrHex(byte[] c, java.io.PrintStream ps)`
    `static void` | `printHex(byte[] c, java.io.PrintStream ps)`
    `static byte[]` | `stob(short s)`
    `static IRhino3dm.TextDisplayMode` | `textDisplayMode(int i)`
    `static int` | `textDisplayMode(IRhino3dm.TextDisplayMode m)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tcodeStartSection

          public static final int tcodeStartSection

      See Also:
        Constant Field Values

    - #### tcodeCommentBlock

          public static final int tcodeCommentBlock

      See Also:
        Constant Field Values

    - #### tcodeEndOfFile

          public static final int tcodeEndOfFile

      See Also:
        Constant Field Values

    - #### tcodeEndOfFileGoo

          public static final int tcodeEndOfFileGoo

      See Also:
        Constant Field Values

    - #### tcodeLegacyGeometry

          public static final int tcodeLegacyGeometry

      See Also:
        Constant Field Values

    - #### tcodeOpenNurbsObject

          public static final int tcodeOpenNurbsObject

      See Also:
        Constant Field Values

    - #### tcodeGeometry

          public static final int tcodeGeometry

      See Also:
        Constant Field Values

    - #### tcodeAnnotation

          public static final int tcodeAnnotation

      See Also:
        Constant Field Values

    - #### tcodeDisplay

          public static final int tcodeDisplay

      See Also:
        Constant Field Values

    - #### tcodeRender

          public static final int tcodeRender

      See Also:
        Constant Field Values

    - #### tcodeInterface

          public static final int tcodeInterface

      See Also:
        Constant Field Values

    - #### tcodeTolerance

          public static final int tcodeTolerance

      See Also:
        Constant Field Values

    - #### tcodeTable

          public static final int tcodeTable

      See Also:
        Constant Field Values

    - #### tcodeTableRec

          public static final int tcodeTableRec

      See Also:
        Constant Field Values

    - #### tcodeUser

          public static final int tcodeUser

      See Also:
        Constant Field Values

    - #### tcodeShort

          public static final int tcodeShort

      See Also:
        Constant Field Values

    - #### tcodeCRC

          public static final int tcodeCRC

      See Also:
        Constant Field Values

    - #### tcodeAnonymousChunk

          public static final int tcodeAnonymousChunk

      See Also:
        Constant Field Values

    - #### tcodeMaterialTable

          public static final int tcodeMaterialTable

      See Also:
        Constant Field Values

    - #### tcodeLayerTable

          public static final int tcodeLayerTable

      See Also:
        Constant Field Values

    - #### tcodeLightTable

          public static final int tcodeLightTable

      See Also:
        Constant Field Values

    - #### tcodeObjectTable

          public static final int tcodeObjectTable

      See Also:
        Constant Field Values

    - #### tcodePropertiesTable

          public static final int tcodePropertiesTable

      See Also:
        Constant Field Values

    - #### tcodeSettingsTable

          public static final int tcodeSettingsTable

      See Also:
        Constant Field Values

    - #### tcodeBitmapTable

          public static final int tcodeBitmapTable

      See Also:
        Constant Field Values

    - #### tcodeUserTable

          public static final int tcodeUserTable

      See Also:
        Constant Field Values

    - #### tcodeGroupTable

          public static final int tcodeGroupTable

      See Also:
        Constant Field Values

    - #### tcodeFontTable

          public static final int tcodeFontTable

      See Also:
        Constant Field Values

    - #### tcodeDimStyleTable

          public static final int tcodeDimStyleTable

      See Also:
        Constant Field Values

    - #### tcodeInstanceDefinitionTable

          public static final int tcodeInstanceDefinitionTable

      See Also:
        Constant Field Values

    - #### tcodeHatchPatternTable

          public static final int tcodeHatchPatternTable

      See Also:
        Constant Field Values

    - #### tcodeLinetypeTable

          public static final int tcodeLinetypeTable

      See Also:
        Constant Field Values

    - #### tcodeObsoleteLayerSetTable

          public static final int tcodeObsoleteLayerSetTable

      See Also:
        Constant Field Values

    - #### tcodeTextureMappingTable

          public static final int tcodeTextureMappingTable

      See Also:
        Constant Field Values

    - #### tcodeHistoryRecordTable

          public static final int tcodeHistoryRecordTable

      See Also:
        Constant Field Values

    - #### tcodeEndOfTable

          public static final int tcodeEndOfTable

      See Also:
        Constant Field Values

    - #### tcodePropertiesRevisionHistory

          public static final int tcodePropertiesRevisionHistory

      See Also:
        Constant Field Values

    - #### tcodePropertiesNotes

          public static final int tcodePropertiesNotes

      See Also:
        Constant Field Values

    - #### tcodePropertiesPreviewImage

          public static final int tcodePropertiesPreviewImage

      See Also:
        Constant Field Values

    - #### tcodePropertiesApplication

          public static final int tcodePropertiesApplication

      See Also:
        Constant Field Values

    - #### tcodePropertiesCompressedPreviewImage

          public static final int tcodePropertiesCompressedPreviewImage

      See Also:
        Constant Field Values

    - #### tcodePropertiesOpenNurbsVersion

          public static final int tcodePropertiesOpenNurbsVersion

      See Also:
        Constant Field Values

    - #### tcodeSettingsPluginList

          public static final int tcodeSettingsPluginList

      See Also:
        Constant Field Values

    - #### tcodeSettingsUnitsAndTols

          public static final int tcodeSettingsUnitsAndTols

      See Also:
        Constant Field Values

    - #### tcodeSettingsRenderMesh

          public static final int tcodeSettingsRenderMesh

      See Also:
        Constant Field Values

    - #### tcodeSettingsAnalysisMesh

          public static final int tcodeSettingsAnalysisMesh

      See Also:
        Constant Field Values

    - #### tcodeSettingsAnnotation

          public static final int tcodeSettingsAnnotation

      See Also:
        Constant Field Values

    - #### tcodeSettingsNamedCPlaneList

          public static final int tcodeSettingsNamedCPlaneList

      See Also:
        Constant Field Values

    - #### tcodeSettingsNamedViewList

          public static final int tcodeSettingsNamedViewList

      See Also:
        Constant Field Values

    - #### tcodeSettingsViewList

          public static final int tcodeSettingsViewList

      See Also:
        Constant Field Values

    - #### tcodeSettingsCurrentLayerIndex

          public static final int tcodeSettingsCurrentLayerIndex

      See Also:
        Constant Field Values

    - #### tcodeSettingsCurrentMaterialIndex

          public static final int tcodeSettingsCurrentMaterialIndex

      See Also:
        Constant Field Values

    - #### tcodeSettingsCurrentColor

          public static final int tcodeSettingsCurrentColor

      See Also:
        Constant Field Values

    - #### tcodeSettings_Never_Use_This

          public static final int tcodeSettings_Never_Use_This

      See Also:
        Constant Field Values

    - #### tcodeSettingsCurrentWireDensity

          public static final int tcodeSettingsCurrentWireDensity

      See Also:
        Constant Field Values

    - #### tcodeSettingsRender

          public static final int tcodeSettingsRender

      See Also:
        Constant Field Values

    - #### tcodeSettingsGridDefaults

          public static final int tcodeSettingsGridDefaults

      See Also:
        Constant Field Values

    - #### tcodeSettingsModelURL

          public static final int tcodeSettingsModelURL

      See Also:
        Constant Field Values

    - #### tcodeSettingsCurrentFontIndex

          public static final int tcodeSettingsCurrentFontIndex

      See Also:
        Constant Field Values

    - #### tcodeSettingsCurrentDimStyleIndex

          public static final int tcodeSettingsCurrentDimStyleIndex

      See Also:
        Constant Field Values

    - #### tcodeSettingsAttributes

          public static final int tcodeSettingsAttributes

      See Also:
        Constant Field Values

    - #### tcodeViewRecord

          public static final int tcodeViewRecord

      See Also:
        Constant Field Values

    - #### tcodeViewCPlane

          public static final int tcodeViewCPlane

      See Also:
        Constant Field Values

    - #### tcodeViewViewport

          public static final int tcodeViewViewport

      See Also:
        Constant Field Values

    - #### tcodeViewShowConGrid

          public static final int tcodeViewShowConGrid

      See Also:
        Constant Field Values

    - #### tcodeViewShowConAxes

          public static final int tcodeViewShowConAxes

      See Also:
        Constant Field Values

    - #### tcodeViewShowWorldAxes

          public static final int tcodeViewShowWorldAxes

      See Also:
        Constant Field Values

    - #### tcodeViewTraceImage

          public static final int tcodeViewTraceImage

      See Also:
        Constant Field Values

    - #### tcodeViewWallPaper

          public static final int tcodeViewWallPaper

      See Also:
        Constant Field Values

    - #### tcodeViewWallPaperV3

          public static final int tcodeViewWallPaperV3

      See Also:
        Constant Field Values

    - #### tcodeViewTarget

          public static final int tcodeViewTarget

      See Also:
        Constant Field Values

    - #### tcodeViewDisplayMode

          public static final int tcodeViewDisplayMode

      See Also:
        Constant Field Values

    - #### tcodeViewName

          public static final int tcodeViewName

      See Also:
        Constant Field Values

    - #### tcodeViewPosition

          public static final int tcodeViewPosition

      See Also:
        Constant Field Values

    - #### tcodeViewAttributes

          public static final int tcodeViewAttributes

      See Also:
        Constant Field Values

    - #### tcodeViewViewportUserData

          public static final int tcodeViewViewportUserData

      See Also:
        Constant Field Values

    - #### tcodeBitmapRecord

          public static final int tcodeBitmapRecord

      See Also:
        Constant Field Values

    - #### tcodeMaterialRecord

          public static final int tcodeMaterialRecord

      See Also:
        Constant Field Values

    - #### tcodeLayerRecord

          public static final int tcodeLayerRecord

      See Also:
        Constant Field Values

    - #### tcodeLightRecord

          public static final int tcodeLightRecord

      See Also:
        Constant Field Values

    - #### tcodeLightRecordAttributes

          public static final int tcodeLightRecordAttributes

      See Also:
        Constant Field Values

    - #### tcodeLightRecordAttributesUserData

          public static final int tcodeLightRecordAttributesUserData

      See Also:
        Constant Field Values

    - #### tcodeLightRecordEnd

          public static final int tcodeLightRecordEnd

      See Also:
        Constant Field Values

    - #### tcodeUserTableUUID

          public static final int tcodeUserTableUUID

      See Also:
        Constant Field Values

    - #### tcodeUserTableRecordHeader

          public static final int tcodeUserTableRecordHeader

      See Also:
        Constant Field Values

    - #### tcodeUserRecord

          public static final int tcodeUserRecord

      See Also:
        Constant Field Values

    - #### tcodeGroupRecord

          public static final int tcodeGroupRecord

      See Also:
        Constant Field Values

    - #### tcodeFontRecord

          public static final int tcodeFontRecord

      See Also:
        Constant Field Values

    - #### tcodeDimStyleRecord

          public static final int tcodeDimStyleRecord

      See Also:
        Constant Field Values

    - #### tcodeInstanceDefinitionRecord

          public static final int tcodeInstanceDefinitionRecord

      See Also:
        Constant Field Values

    - #### tcodeHatchPatternRecord

          public static final int tcodeHatchPatternRecord

      See Also:
        Constant Field Values

    - #### tcodeLineTypeRecord

          public static final int tcodeLineTypeRecord

      See Also:
        Constant Field Values

    - #### tcodeObsoleteLayerSetRecord

          public static final int tcodeObsoleteLayerSetRecord

      See Also:
        Constant Field Values

    - #### tcodeTextureMappingRecord

          public static final int tcodeTextureMappingRecord

      See Also:
        Constant Field Values

    - #### tcodeHistoryRecordRecord

          public static final int tcodeHistoryRecordRecord

      See Also:
        Constant Field Values

    - #### tcodeObjectRecord

          public static final int tcodeObjectRecord

      See Also:
        Constant Field Values

    - #### tcodeObjectRecordType

          public static final int tcodeObjectRecordType

      See Also:
        Constant Field Values

    - #### tcodeObjectRecordAttributes

          public static final int tcodeObjectRecordAttributes

      See Also:
        Constant Field Values

    - #### tcodeObjectRecordAttributesUserData

          public static final int tcodeObjectRecordAttributesUserData

      See Also:
        Constant Field Values

    - #### tcodeObjectRecordHistory

          public static final int tcodeObjectRecordHistory

      See Also:
        Constant Field Values

    - #### tcodeObjectRecordHistoryHeader

          public static final int tcodeObjectRecordHistoryHeader

      See Also:
        Constant Field Values

    - #### tcodeObjectRecordHistoryData

          public static final int tcodeObjectRecordHistoryData

      See Also:
        Constant Field Values

    - #### tcodeObjectRecordEnd

          public static final int tcodeObjectRecordEnd

      See Also:
        Constant Field Values

    - #### tcodeOpenNurbsClass

          public static final int tcodeOpenNurbsClass

      See Also:
        Constant Field Values

    - #### tcodeOpenNurbsClassUUID

          public static final int tcodeOpenNurbsClassUUID

      See Also:
        Constant Field Values

    - #### tcodeOpenNurbsClassData

          public static final int tcodeOpenNurbsClassData

      See Also:
        Constant Field Values

    - #### tcodeOpenNurbsClassUserData

          public static final int tcodeOpenNurbsClassUserData

      See Also:
        Constant Field Values

    - #### tcodeOpenNurbsClassUserDataHeader

          public static final int tcodeOpenNurbsClassUserDataHeader

      See Also:
        Constant Field Values

    - #### tcodeOpenNurbsClassEnd

          public static final int tcodeOpenNurbsClassEnd

      See Also:
        Constant Field Values

    - #### tcodeAnnotationSettings

          public static final int tcodeAnnotationSettings

      See Also:
        Constant Field Values

    - #### tcodeTextBlock

          public static final int tcodeTextBlock

      See Also:
        Constant Field Values

    - #### tcodeAnnotationLeader

          public static final int tcodeAnnotationLeader

      See Also:
        Constant Field Values

    - #### tcodeLinearDimension

          public static final int tcodeLinearDimension

      See Also:
        Constant Field Values

    - #### tcodeAngularDimension

          public static final int tcodeAngularDimension

      See Also:
        Constant Field Values

    - #### tcodeRadialDimension

          public static final int tcodeRadialDimension

      See Also:
        Constant Field Values

    - #### tcodeRhinoIOObjectNurbsCurve

          public static final int tcodeRhinoIOObjectNurbsCurve

      See Also:
        Constant Field Values

    - #### tcodeRhinoIOObjectNurbsSurface

          public static final int tcodeRhinoIOObjectNurbsSurface

      See Also:
        Constant Field Values

    - #### tcodeRhinoIOObjectBrep

          public static final int tcodeRhinoIOObjectBrep

      See Also:
        Constant Field Values

    - #### tcodeRhinoIOObjectData

          public static final int tcodeRhinoIOObjectData

      See Also:
        Constant Field Values

    - #### tcodeRhinoIOObjectEnd

          public static final int tcodeRhinoIOObjectEnd

      See Also:
        Constant Field Values

    - #### tcodeLegacyASM

          public static final int tcodeLegacyASM

      See Also:
        Constant Field Values

    - #### tcodeLegacyPRT

          public static final int tcodeLegacyPRT

      See Also:
        Constant Field Values

    - #### tcodeLegacySHL

          public static final int tcodeLegacySHL

      See Also:
        Constant Field Values

    - #### tcodeLegacyFAC

          public static final int tcodeLegacyFAC

      See Also:
        Constant Field Values

    - #### tcodeLegacyBND

          public static final int tcodeLegacyBND

      See Also:
        Constant Field Values

    - #### tcodeLegacyTRM

          public static final int tcodeLegacyTRM

      See Also:
        Constant Field Values

    - #### tcodeLegacySRF

          public static final int tcodeLegacySRF

      See Also:
        Constant Field Values

    - #### tcodeLegacyCRV

          public static final int tcodeLegacyCRV

      See Also:
        Constant Field Values

    - #### tcodeLegacySPL

          public static final int tcodeLegacySPL

      See Also:
        Constant Field Values

    - #### tcodeLegacyPNT

          public static final int tcodeLegacyPNT

      See Also:
        Constant Field Values

    - #### tcodeStuff

          public static final int tcodeStuff

      See Also:
        Constant Field Values

    - #### tcodeLegacyASMStuff

          public static final int tcodeLegacyASMStuff

      See Also:
        Constant Field Values

    - #### tcodeLegacyPRTStuff

          public static final int tcodeLegacyPRTStuff

      See Also:
        Constant Field Values

    - #### tcodeLegacySHLStuff

          public static final int tcodeLegacySHLStuff

      See Also:
        Constant Field Values

    - #### tcodeLegacyFACStuff

          public static final int tcodeLegacyFACStuff

      See Also:
        Constant Field Values

    - #### tcodeLegacyBNDStuff

          public static final int tcodeLegacyBNDStuff

      See Also:
        Constant Field Values

    - #### tcodeLegacyTRMStuff

          public static final int tcodeLegacyTRMStuff

      See Also:
        Constant Field Values

    - #### tcodeLegacySRFStuff

          public static final int tcodeLegacySRFStuff

      See Also:
        Constant Field Values

    - #### tcodeLegacyCRVStuff

          public static final int tcodeLegacyCRVStuff

      See Also:
        Constant Field Values

    - #### tcodeLegacySPLStuff

          public static final int tcodeLegacySPLStuff

      See Also:
        Constant Field Values

    - #### tcodeLegacyPNTStuff

          public static final int tcodeLegacyPNTStuff

      See Also:
        Constant Field Values

    - #### tcodeRhPoint

          public static final int tcodeRhPoint

      See Also:
        Constant Field Values

    - #### tcodeRhSpotLight

          public static final int tcodeRhSpotLight

      See Also:
        Constant Field Values

    - #### tcodeOldRhTrimesh

          public static final int tcodeOldRhTrimesh

      See Also:
        Constant Field Values

    - #### tcodeOldMeshVertexNormals

          public static final int tcodeOldMeshVertexNormals

      See Also:
        Constant Field Values

    - #### tcodeOldMeshUV

          public static final int tcodeOldMeshUV

      See Also:
        Constant Field Values

    - #### tcodeOldFullMesh

          public static final int tcodeOldFullMesh

      See Also:
        Constant Field Values

    - #### tcodeMeshObject

          public static final int tcodeMeshObject

      See Also:
        Constant Field Values

    - #### tcodeCompressedMeshGeometry

          public static final int tcodeCompressedMeshGeometry

      See Also:
        Constant Field Values

    - #### tcodeAnalysisMesh

          public static final int tcodeAnalysisMesh

      See Also:
        Constant Field Values

    - #### tcodeName

          public static final int tcodeName

      See Also:
        Constant Field Values

    - #### tcodeView

          public static final int tcodeView

      See Also:
        Constant Field Values

    - #### tcodeCPlane

          public static final int tcodeCPlane

      See Also:
        Constant Field Values

    - #### tcodeNamedCPlane

          public static final int tcodeNamedCPlane

      See Also:
        Constant Field Values

    - #### tcodeNamedView

          public static final int tcodeNamedView

      See Also:
        Constant Field Values

    - #### tcodeViewport

          public static final int tcodeViewport

      See Also:
        Constant Field Values

    - #### tcodeShowGrid

          public static final int tcodeShowGrid

      See Also:
        Constant Field Values

    - #### tcodeShowGridAxes

          public static final int tcodeShowGridAxes

      See Also:
        Constant Field Values

    - #### tcodeShowWorldAxes

          public static final int tcodeShowWorldAxes

      See Also:
        Constant Field Values

    - #### tcodeViewportPosition

          public static final int tcodeViewportPosition

      See Also:
        Constant Field Values

    - #### tcodeViewportTraceInfo

          public static final int tcodeViewportTraceInfo

      See Also:
        Constant Field Values

    - #### tcodeSnapSide

          public static final int tcodeSnapSide

      See Also:
        Constant Field Values

    - #### tcodeNearClipPlane

          public static final int tcodeNearClipPlane

      See Also:
        Constant Field Values

    - #### tcodeHideTrace

          public static final int tcodeHideTrace

      See Also:
        Constant Field Values

    - #### tcodeNotes

          public static final int tcodeNotes

      See Also:
        Constant Field Values

    - #### tcodeUnitAndTolerances

          public static final int tcodeUnitAndTolerances

      See Also:
        Constant Field Values

    - #### tcodeMaximizedViewport

          public static final int tcodeMaximizedViewport

      See Also:
        Constant Field Values

    - #### tcodeViewportWallPaper

          public static final int tcodeViewportWallPaper

      See Also:
        Constant Field Values

    - #### tcodeSummary

          public static final int tcodeSummary

      See Also:
        Constant Field Values

    - #### tcodeBitmapPreview

          public static final int tcodeBitmapPreview

      See Also:
        Constant Field Values

    - #### tcodeViewportDisplayMode

          public static final int tcodeViewportDisplayMode

      See Also:
        Constant Field Values

    - #### tcodeLayerRef

          public static final int tcodeLayerRef

      See Also:
        Constant Field Values

    - #### tcodeXData

          public static final int tcodeXData

      See Also:
        Constant Field Values

    - #### tcodeRGB

          public static final int tcodeRGB

      See Also:
        Constant Field Values

    - #### tcodeTextureMap

          public static final int tcodeTextureMap

      See Also:
        Constant Field Values

    - #### tcodeBumpMap

          public static final int tcodeBumpMap

      See Also:
        Constant Field Values

    - #### tcodeTransparency

          public static final int tcodeTransparency

      See Also:
        Constant Field Values

    - #### tcodeDispAmResolution

          public static final int tcodeDispAmResolution

      See Also:
        Constant Field Values

    - #### tcodeRGBDisplay

          public static final int tcodeRGBDisplay

      See Also:
        Constant Field Values

    - #### tcodeRenderMaterialID

          public static final int tcodeRenderMaterialID

      See Also:
        Constant Field Values

    - #### tcodeLayer

          public static final int tcodeLayer

      See Also:
        Constant Field Values

    - #### tcodeLayerObselete1

          public static final int tcodeLayerObselete1

      See Also:
        Constant Field Values

    - #### tcodeLayerObselete2

          public static final int tcodeLayerObselete2

      See Also:
        Constant Field Values

    - #### tcodeLayerObselete3

          public static final int tcodeLayerObselete3

      See Also:
        Constant Field Values

    - #### tcodeLayerOn

          public static final int tcodeLayerOn

      See Also:
        Constant Field Values

    - #### tcodeLayerThawed

          public static final int tcodeLayerThawed

      See Also:
        Constant Field Values

    - #### tcodeLayerLocked

          public static final int tcodeLayerLocked

      See Also:
        Constant Field Values

    - #### tcodeLayerVisible

          public static final int tcodeLayerVisible

      See Also:
        Constant Field Values

    - #### tcodeLayerPickable

          public static final int tcodeLayerPickable

      See Also:
        Constant Field Values

    - #### tcodeLayerSnapable

          public static final int tcodeLayerSnapable

      See Also:
        Constant Field Values

    - #### tcodeLayerRenderable

          public static final int tcodeLayerRenderable

      See Also:
        Constant Field Values

    - #### tcodeLayerState

          public static final int tcodeLayerState

      See Also:
        Constant Field Values

    - #### tcodeLayerIndex

          public static final int tcodeLayerIndex

      See Also:
        Constant Field Values

    - #### tcodeLayerMaterialIndex

          public static final int tcodeLayerMaterialIndex

      See Also:
        Constant Field Values

    - #### tcodeRenderMeshParams

          public static final int tcodeRenderMeshParams

      See Also:
        Constant Field Values

    - #### tcodeDispCPLines

          public static final int tcodeDispCPLines

      See Also:
        Constant Field Values

    - #### tcodeDispMaxLength

          public static final int tcodeDispMaxLength

      See Also:
        Constant Field Values

    - #### tcodeCurrentLayer

          public static final int tcodeCurrentLayer

      See Also:
        Constant Field Values

    - #### tcodeLayerName

          public static final int tcodeLayerName

      See Also:
        Constant Field Values

    - #### tcodeLegacyTolFit

          public static final int tcodeLegacyTolFit

      See Also:
        Constant Field Values

    - #### tcodeLegacyTolAngle

          public static final int tcodeLegacyTolAngle

      See Also:
        Constant Field Values

    - #### tcodeDictionary

          public static final int tcodeDictionary

      See Also:
        Constant Field Values

    - #### tcodeDictionaryID

          public static final int tcodeDictionaryID

      See Also:
        Constant Field Values

    - #### tcodeDictionaryEntry

          public static final int tcodeDictionaryEntry

      See Also:
        Constant Field Values

    - #### tcodeDictionaryEnd

          public static final int tcodeDictionaryEnd

      See Also:
        Constant Field Values

    - #### activeSpaceNoSpace

          public static final short activeSpaceNoSpace

      See Also:
        Constant Field Values

    - #### activeSpaceModelSpace

          public static final short activeSpaceModelSpace

      See Also:
        Constant Field Values

    - #### activeSpacePageSpace

          public static final short activeSpacePageSpace

      See Also:
        Constant Field Values

    - #### objectModeNormalObject

          public static final int objectModeNormalObject

      See Also:
        Constant Field Values

    - #### objectModeHiddenObject

          public static final int objectModeHiddenObject

      See Also:
        Constant Field Values

    - #### objectModeLockedObject

          public static final int objectModeLockedObject

      See Also:
        Constant Field Values

    - #### objectModeIdefObject

          public static final int objectModeIdefObject

      See Also:
        Constant Field Values

    - #### objectModeCount

          public static final int objectModeCount

      See Also:
        Constant Field Values

    - #### colorSourceFromLayer

          public static final int colorSourceFromLayer

      See Also:
        Constant Field Values

    - #### colorSourceFromObject

          public static final int colorSourceFromObject

      See Also:
        Constant Field Values

    - #### colorSourceFromMaterial

          public static final int colorSourceFromMaterial

      See Also:
        Constant Field Values

    - #### colorSourceFromParent

          public static final int colorSourceFromParent

      See Also:
        Constant Field Values

    - #### plotColorSourceFromLayer

          public static final int plotColorSourceFromLayer

      See Also:
        Constant Field Values

    - #### plotColorSourceFromObject

          public static final int plotColorSourceFromObject

      See Also:
        Constant Field Values

    - #### plotColorSourceFromMaterial

          public static final int plotColorSourceFromMaterial

      See Also:
        Constant Field Values

    - #### plotColorSourceFromParent

          public static final int plotColorSourceFromParent

      See Also:
        Constant Field Values

    - #### plotWeightSourceFromLayer

          public static final int plotWeightSourceFromLayer

      See Also:
        Constant Field Values

    - #### plotWeightSourceFromObject

          public static final int plotWeightSourceFromObject

      See Also:
        Constant Field Values

    - #### plotWeightSourceFromParent

          public static final int plotWeightSourceFromParent

      See Also:
        Constant Field Values

    - #### linetypeSourceFromLayer

          public static final int linetypeSourceFromLayer

      See Also:
        Constant Field Values

    - #### linetypeSourceFromObject

          public static final int linetypeSourceFromObject

      See Also:
        Constant Field Values

    - #### linetypeSourceFromParent

          public static final int linetypeSourceFromParent

      See Also:
        Constant Field Values

    - #### materialSourceFromLayer

          public static final int materialSourceFromLayer

      See Also:
        Constant Field Values

    - #### materialSourceFromObject

          public static final int materialSourceFromObject

      See Also:
        Constant Field Values

    - #### materialSourceFromParent

          public static final int materialSourceFromParent

      See Also:
        Constant Field Values

    - #### objectDecorationNoDecolation

          public static final short objectDecorationNoDecolation

      See Also:
        Constant Field Values

    - #### objectDecorationStartArrowHead

          public static final short objectDecorationStartArrowHead

      See Also:
        Constant Field Values

    - #### objectDecorationEndArrowHead

          public static final short objectDecorationEndArrowHead

      See Also:
        Constant Field Values

    - #### objectDecorationBothArrowHead

          public static final short objectDecorationBothArrowHead

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IRhino3dm

          public IRhino3dm()

  - ### Method Detail

    - #### endian

          public static IRhino3dm.Endian endian(int i)

    - #### endian

          public static IRhino3dm.Endian endian()

    - #### annotationType

          public static int annotationType(IRhino3dm.AnnotationType t)

    - #### annotationType

          public static IRhino3dm.AnnotationType annotationType(int i)

    - #### textDisplayMode

          public static int textDisplayMode(IRhino3dm.TextDisplayMode m)

    - #### textDisplayMode

          public static IRhino3dm.TextDisplayMode textDisplayMode(int i)

    - #### btoi

          static int btoi(byte[] b)

      static methods

    - #### stob

          public static byte[] stob(short s)

    - #### itob

          public static byte[] itob(int i)

    - #### ltob

          public static byte[] ltob(long l)

    - #### hex

          public static java.lang.String hex(int i)

    - #### hex

          public static java.lang.String hex(short i)

    - #### hex

          public static java.lang.String hex(byte c)

    - #### hex

          public static java.lang.String hex(char c)

    - #### hex

          public static java.lang.String hex(byte[] c)

    - #### hex

          public static java.lang.String hex(char[] c)

    - #### asciiOrHex

          public static java.lang.String asciiOrHex(byte[] c)

    - #### printHex

          public static void printHex(byte[] c,
                                      java.io.PrintStream ps)

    - #### printAsciiOrHex

          public static void printAsciiOrHex(byte[] c,
                                             java.io.PrintStream ps)

    - #### hexStringToByte

          public static byte[] hexStringToByte(java.lang.String text)

    - #### hexCharToByte

          public static byte hexCharToByte(char c)

    - #### hexCharToByte

          public static byte hexCharToByte(char c1,
                                           char c2)